List indicator series
curl --request GET \
--url https://api.financialdatapi.com/indicators/{idOrSlug}/series \
--header 'x-api-key: <api-key>'import requests
url = "https://api.financialdatapi.com/indicators/{idOrSlug}/series"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.financialdatapi.com/indicators/{idOrSlug}/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
"<unknown>"
],
"meta": {
"request_id": "<string>",
"requestId": "<string>",
"api_version": "<string>",
"pagination": {
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"has_more": true
}
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Macro data
List indicator series
GET
/
indicators
/
{idOrSlug}
/
series
List indicator series
curl --request GET \
--url https://api.financialdatapi.com/indicators/{idOrSlug}/series \
--header 'x-api-key: <api-key>'import requests
url = "https://api.financialdatapi.com/indicators/{idOrSlug}/series"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.financialdatapi.com/indicators/{idOrSlug}/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
"<unknown>"
],
"meta": {
"request_id": "<string>",
"requestId": "<string>",
"api_version": "<string>",
"pagination": {
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"has_more": true
}
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Authorizations
apiKeybearerApiKey
Query Parameters
Required range:
1 <= x <= 500Available options:
asc, desc ⌘I